
-- ----------------------------
-- Table structure for cb_crm_system_update
-- ----------------------------
DROP TABLE IF EXISTS `cb_crm_system_update`;
CREATE TABLE `cb_crm_system_update`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '版本号',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '更新内容',
  `create_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 15 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统升级记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of cb_crm_system_update
-- ----------------------------
INSERT INTO `cb_crm_system_update` VALUES (1, '1.1.0', '1.新增PC端，包含商标查询、商标注册、版权登记、LOGO设计等实用性功能。', '2023-08-14 09:55:01');
INSERT INTO `cb_crm_system_update` VALUES (2, '1.1.1', '1.PC端网站相关菜单功能迁移至CRM端，各商户可以自行配置自己网站。<br/>\r\n2.PC端新增域名绑定功能，可为自己商户绑定独立域名。<br/>\r\n3.通知公告及修复后台通知公告内容无法编辑的问题<br/>', '2023-08-18 09:57:04');
INSERT INTO `cb_crm_system_update` VALUES (3, '1.1.2', '1.新增组织架构<br/>\r\n2.新增职位角色，可通过角色，控制菜单权限<br/>\r\n3.新增员工，员工可通过设定的帐号登录crm<br/>\r\n4.客户模块新增部门和员工筛选<br/>\r\n5.客户模块新增数据权限判断<br/>', '2023-08-25 17:56:44');
INSERT INTO `cb_crm_system_update` VALUES (4, '1.1.3', '1.修复后台为商户充值时，提示余额不足的问题；<br/>2.修复职位权限无法编辑权限的问题；<br/>3.修复无商品时，网站首页报错的问题；<br/>4.修复会员注册报错的问题<br/>5.修复会员中心logo不显示的问题；<br/>6.修复会员中心联系客服无法修改的问题；<br/>7.修复会员登录和注册页面logo不显示的问题；<br/>8.修复后台开通应用不显示超博CRM的问题；<br/>9.优化网站会员登录后跳转页面；<br/>10.优化网站请求提示；<br/>11.新增商标交易查询功能，海量商标交易库；<br/>12.新增移动端访问域名自动访问移动端前台功能；<br/>13.网站新增咨询客服弹窗；', '2023-09-14 15:15:36');
INSERT INTO `cb_crm_system_update` VALUES (5, '1.1.4', '1.新增商标代理委托书自动生成功能；<br/>2.新增容联云短信配置；<br/>3.新增短信模板设置；<br/>4.新增商标流程变动短信发送；<br/>5.新增用户下单短信通知后台管理员功能；<br/>6.新增知识产权订单状态变更通信通知功能；<br/>7.优化程序文件及目录结构', '2023-09-22 10:39:25');
INSERT INTO `cb_crm_system_update` VALUES (6, '1.1.5', '1.新增本地商标交易库，可以将自有商标上传至商标云库中；<br/>2.新增商标交易在线下单，用户可在网站中进行商标交易；<br/>3.支付功能代码优化；<br/>4.会员中心头部页面优化；<br/>5.其他已知BUG修复。', '2023-10-18 10:30:03');
INSERT INTO `cb_crm_system_update` VALUES (7, '1.1.6', '1.客户查看面板新增跟单记录；<br/>2.客户查看面板新增商机；<br/>3.客户查看面板新增客户材料；<br/>4.客户查看面板新增操作日志；<br/>5.客户查看面板新增归属人迁移；<br/>6.客户查看面板优化；<br/>7.修复已知BUG', '2023-10-24 13:51:31');
INSERT INTO `cb_crm_system_update` VALUES (8, '1.1.7', '1.PC端商标注册页面新增商标服务产品及下单功能；<br/>2.会员中心新增商标服务订单管理；<br/>3.短信通道新增助通融合云通信；<br/>4.短信模板优化；<br/>5.客户管理新增跟单记录和商机管理菜单；<br/>6.商标申请人添加新增隐私设置，可设置商标代理委托书联系方式；<br/>7.修复PC端商品详情在某些情况下报404的问题；<br/>8.其他功能优化。', '2023-10-31 14:52:29');
INSERT INTO `cb_crm_system_update` VALUES (9, '1.1.8', '1.新增平台短信接口，可由平台统一配置短信接口、模板、签名等，商户直接购买使用平台短信接口，无需再进行繁琐的短信配置，实现即买即用。同时商户也可按需使用自配短信接口，由商户去第三方平台申请短信接口和模板，短信通道由平台接口和自配接口二选一。<br/>   2.修改PC站路由，由cbcrm修改为通配的home。', '2023-12-04 09:15:58');
INSERT INTO `cb_crm_system_update` VALUES (10, '1.1.9', '1.新增域名绑定功能，可以通过CRM应用后台 - 商户列表设置是否开启域名绑定，开启后商户可通过自己绑定的域名访问站点；<br/>2.修复商标订单更新商标状态时短信发送失败的BUG；<br/>3.修复版权登记无法补充材料的BUG；<br/>4.修复移动端首次进入页面是空白的问题；<br/>5.商标交易页面优化；<br/>6.优化移动端title.', '2023-12-19 17:23:46');
INSERT INTO `cb_crm_system_update` VALUES (11, '1.2.0', '1.商户绑定域名禁止与主域名一致；<br/>2.商户端跳转PC网站首页链接优化；<br/>3.管理后台新增商户数据导入功能，方便导入演示数据；<br/>4.修复上传的附件无法删除的问题；<br/>5.修复绑点域名后，PC首页快捷操作链接多次重定向问题；<br/>6.修复提交软著材料页面错误的问题；<br/>7.修复附件分组无法创建的问题；<br/>8.修复附件分组无法删除的问题；<br/>9.数据库兼容性优化；<br/>10.其他功能优化', '2023-12-29 15:26:21');
INSERT INTO `cb_crm_system_update` VALUES (12, '1.2.1', '1.新增管理后台在线升级系统功能；<br/>2.分站功能优化，可在管理后台设置站点为平台主站、平台分站或普通站点；<br/>3.商户端商品新增第三方跳转链接功能，可将商品链接至第三方平台；<br/>4.PC网站端LOGO尺寸优化，最宽300px,最高100px；<br/>5.修复某些页面未登录提示跳转链接；<br/>6.修复PC首页新闻发布时间错误的问题；<br/>7.修改应用名称', '2024-01-05 16:05:21');

ALTER TABLE `cb_crm_store_config` 
MODIFY COLUMN `is_default` tinyint(1) NOT NULL DEFAULT 0 COMMENT '站点类型;0=普通站,1=主站,2=分站' AFTER `wid`;

ALTER TABLE `cb_crm_goods` 
ADD COLUMN `url` varchar(255) COMMENT '跳转链接' AFTER `sort`;

UPDATE `kt_base_market_app` SET `name` = '企服系统' WHERE `kt_base_market_app`.`code` = 'cbcrm';

UPDATE `kt_base_user_openapp` SET `name` = '企服系统' WHERE `kt_base_user_openapp`.`code` = 'cbcrm';